﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Prism.Regions;
using Microsoft.Practices.Prism.Modularity;

namespace ModuleB
{
    public class ModuleBModule : IModule
    {
        IUnityContainer _container;
        IRegionManager _manager;

        public ModuleBModule(IUnityContainer container, IRegionManager manager)
        {
            _container = container;
            _manager = manager;
        }

        public void Initialize()
        {
            var view = _container.Resolve<UserControl1>();
            var region = _manager.Regions["Region2"];

            region.Add(view);
            region.Activate(view);
        }
    }
}
